function [ys,params,check] = model_safe_opt_all_shocks_steadystate(ys,exo,M_,options)


%global overwrite overwrite_param_names


check = 0;

%model_safe_paramfile_spreads;
model_safe_paramfile_opt_spreads

% if exist('overwrite')
% noverwrite = length(overwrite);
%     for icount = 1:noverwrite
%         eval([overwrite_param_names{icount},'=overwrite(icount);'])
%     end
% 
% end


%% send parameters and steady states to dynare
nparams = size(M_.param_names,1);
params = nan(nparams,1);
for icount = 1:nparams
    eval(['params(icount) = ',M_.param_names{icount},';'])
end

nvars = M_.endo_nbr;
ys = zeros(nvars,1);
for i_indx = 1:nvars
    eval(['ys(i_indx)=',M_.endo_names{i_indx},';']) 
end
 


